| GET | /api/ledger/detail/2a |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PeriodType | form | PeriodType | No | Loại kỳ kế toán (1: Monthly, 2: Quarterly, 3: Yearly). Măc định là Monthly |
| PeriodYear | form | int | Yes | Năm kế toán (VD: 2026) |
| PeriodValue | form | int | Yes | Giá trị kỳ (Tháng: 1–12, Quý: 1–4) |
| IsFullData | form | bool | No | Lấy toàn bộ dữ liệu hay chỉ dữ liệu phát sinh (true = full) |
| Version | form | int | No | Phiên bản kết xuất |
| BranchId | form | int | No | Id chi nhánh |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Orderby | form | string | No | |
| Select | form | string | No | |
| Filter | form | string | No | |
| Skip | form | int? | No | |
| Top | form | int? | No |
| Name | Value | |
|---|---|---|
| Monthly | 1 | enum_Monthly |
| Quarterly | 2 | enum_Quarterly |
| Yearly | 3 | enum_Yearly |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Count | form | int | No | |
| Results | form | IList<T> | No | |
| Filter | form | Object | No | |
| Context | form | Object | No | |
| Summary | form | Object | No | |
| Timestamp | form | DateTime | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /api/ledger/detail/2a HTTP/1.1 Host: api.pos365.vn Accept: application/xml
HTTP/1.1 200 OK Content-Type: application/xml Content-Length: length <PagingDataSourceV2OfanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/POS.Services"> <Context /> <Count>0</Count> <Filter /> <Results xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" i:nil="true" /> <Summary /> <Timestamp>0001-01-01T00:00:00</Timestamp> </PagingDataSourceV2OfanyType>